%global dlrn_nvr python-neutronclient-7.3.1-17.1.20230622025629.29a9f5e
%global dlrn 1
%define upstream_version 7.3.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0

%global cname neutron
%global sname %{cname}client

%global common_desc \
Client library and command line utility for interacting with OpenStack \
Neutron's API.

Name:       python-neutronclient
Version: 7.3.1
Release: 17.1.20230622025630.29a9f5e%{?dist}
Summary:    Python API and CLI for OpenStack Neutron

License:    ASL 2.0
URL:        http://launchpad.net/%{name}/
Source0: python-neutronclient-7.3.1-17.1.20230622025629.29a9f5e.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=29a9f5ef3908b5c7e45dbd010446c335a00e9ed4

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:  noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires: openstack-macros
%endif

Obsoletes:  python-%{sname}-tests <= 4.1.1-3

%description
%{common_desc}

%package -n python3-%{sname}
Summary:    Python API and CLI for OpenStack Neutron
%{?python_provide:%python_provide python3-%{sname}}
Obsoletes: python2-%{sname} < %{version}-%{release}

BuildRequires: git-core
BuildRequires: openstack-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pbr
# Required for unit tests
BuildRequires: python3-osc-lib-tests
BuildRequires: python3-oslotest
BuildRequires: python3-testtools
BuildRequires: python3-testrepository
BuildRequires: python3-testscenarios
BuildRequires: python3-keystoneauth1
BuildRequires: python3-keystoneclient
BuildRequires: python3-os-client-config
BuildRequires: python3-osc-lib
BuildRequires: python3-oslo-log
BuildRequires: python3-oslo-serialization
BuildRequires: python3-oslo-utils
BuildRequires: python3-cliff

Requires: python3-iso8601 >= 0.1.11
Requires: python3-os-client-config >= 1.28.0
Requires: python3-oslo-i18n >= 3.15.3
Requires: python3-oslo-log >= 3.36.0
Requires: python3-oslo-serialization >= 2.18.0
Requires: python3-oslo-utils >= 3.33.0
Requires: python3-pbr
Requires: python3-requests >= 2.14.2
Requires: python3-debtcollector >= 1.2.0
Requires: python3-osc-lib >= 1.12.0
Requires: python3-keystoneauth1 >= 3.4.0
Requires: python3-keystoneclient >= 1:3.8.0
Requires: python3-cliff >= 3.4.0
Requires: python3-netaddr >= 0.7.18

Requires: python3-simplejson >= 3.5.1

%description -n python3-%{sname}
%{common_desc}

%package -n python3-%{sname}-tests
Summary:    Python API and CLI for OpenStack Neutron - Unit tests
%{?python_provide:%python_provide python3-%{sname}-tests}
Requires: python3-%{sname} == %{version}-%{release}
Requires: python3-osc-lib-tests
Requires: python3-oslotest
Requires: python3-testtools
Requires: python3-testrepository
Requires: python3-testscenarios

%description -n python3-%{sname}-tests
%{common_desc}

This package containts the unit tests.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Neutron API Client

BuildRequires:    python3-sphinx
BuildRequires:    python3-openstackdocstheme
BuildRequires:    python3-reno

%description      doc
%{common_desc}
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{name}-%{upstream_version} -S git

# Let RPM handle the dependencies
%py_req_cleanup

%build
%{py3_build}

%if 0%{?with_doc}
# Build HTML docs
export PYTHONPATH=.
sphinx-build -W -b html doc/source doc/build/html

# Fix hidden-file-or-dir warnings
rm -rf doc/build/html/.doctrees doc/build/html/.buildinfo
%endif

%install
%{py3_install}

# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s %{cname} %{buildroot}%{_bindir}/%{cname}-3

%check
# (TODO) Ignore unit tests results until https://bugs.launchpad.net/python-neutronclient/+bug/1783789
# is fixed.
%{__python3} setup.py testr || true

%files -n python3-%{sname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{sname}
%{python3_sitelib}/*.egg-info
%{_bindir}/%{cname}
%{_bindir}/%{cname}-3
%exclude %{python3_sitelib}/%{sname}/tests

%files -n python3-%{sname}-tests
%{python3_sitelib}/%{sname}/tests

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Wed Jun 21 2023 OSP Prod Chain <dev-null@redhat.com> 7.3.1-17.1.20230622025629.29a9f5e
- Update patches

* Thu Nov 10 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20221110063715.29a9f5e
- Update patches
- Use yaml.safe_load instead of yaml.load
- tests: change safe_hasattr to hasattr
- Dropping lower constraints testing (stable Wallaby)
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Fix lower constraints

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.0-1.20220727224554.4963c7a
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.0-0.20220712121242.4963c7a
- tests: change safe_hasattr to hasattr (rhbz#2059099)
- Use yaml.safe_load instead of yaml.load (rhbz#2059099)

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.0-0.20210527223402.4963c7a
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.0-1
- Update patches

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- remove unicode from code
- Dep's should be restricted by tox-constraints
- Update requirements URLs in tox config
- Add Python3 wallaby unit tests
- Update master for stable/victoria
- Fix lower-constraints for Focal

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow 4byte ASNs in dynamic routing client
- Remove translation sections from setup.cfg
- zuul: native Zuul v3 version of the grenade job
- Fix description of bgp speaker set arg
- lower-constraints: Drop os-testr, mox3
- Add aggressive negotiation mode for ikepolicy

* Sun Sep 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of mock
- Stop to use the __future__ module.
- Use unittest.mock instead of third party mock
- Add segments client code
- Remove usage of six
- Switch to newer openstackdocstheme and reno versions
- Fix hacking min version to 3.0.1
- Bump default tox env from py37 to py38
- Add py38 package metadata
- Remove Babel from requirements
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup py27 support

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace 'bgp speaker show dragents' with 'bgp dragent list'
- Drop lib-forward-testing
- Add support for port bindings
- Convert exception to string before passing it in
- Avoid py36 error when printing unicode chars in a stream
- fix a typo
- Fix pep8 errors with hacking 2.0.0
- Drop python 2.7 support
- Drop python3 hack for XML serializer
- Move grenade neutron-lib job to py3 and in python-neutronclient repo
- Switch to Ussuri jobs
- Remove 'public' and 'private' parameters in fwaas_v2
- Update master for stable/train
- PDF documentation build

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


